<?php 
if ( ! defined( 'ABSPATH' ) ) exit;

if ( ! class_exists( 'NF_Abstracts_Action' ) ) return;

/**
 * Class NF_CampaignMonitor_Actions_CampaignMonitor
 */
final class NF_GDPR_Actions_GDPR extends NF_Abstracts_Action
{
	/**
	 * @var string
	 */
	protected $_name  = 'gdprdatarequest';

	/**
	 * @var array
	 */
	protected $_tags = array();

	/**
	 * @var string
	 */
	protected $_timing = 'normal';

	/**
	 * @var int
	 */
	protected $_priority = 10;

	/**
	 * Constructor
	 */
	public function __construct()
	{
		parent::__construct();

		$this->_nicename = __( 'GDPR Data Request', 'gdpr-for-ninja-forms' );

		$settings =  NF_GDPR()->config( 'ActiongdprDataRequestSettings' );
		$this->_settings = array_merge( $this->_settings, $settings );
	}

	/*
	* PUBLIC METHODS
	*/

	public function save( $action_settings )
	{

	}

	public function process( $action_settings, $form_id, $data )
	{
		return $data;
	}
}
